@use '../core/placeholders/escape_container';

table {
  width: 100%;
  border: none;

  // Escape from containers
  ._container > & {
    @extend %escape_container;
  }
}

thead {
  position: sticky;
  top: 0;
  border-bottom: 3px double var(--border-color);
  background-color: var(--background-color);
}

th {
  font-weight: var(--font-weight-medium);
}

td,
th {
  padding: var(--spacer-tiny) var(--spacer-default);
  border-bottom: 1px solid var(--border-color);

  &.-actions {
    text-align: right;
  }
}

tbody tr {
  &:not(.no-hover):hover {
    background-color: var(--table-background--hover);
  }
}
